%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Authen-PAM

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Perl interface to PAM library.
Name:		perl-%{perlname}
Version:	0.16
Release:	4
Provides:	%{name} perl(Authen::PAM)
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Authen+PAM
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	pam
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	pam-devel

%description
Perl interface to PAM library.
For more details see: http://search.cpan.org/~nikip/Authen-PAM-0.16/

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.16-4
- Rebuild against perl 5.10.0
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 0.16-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.16-2
- Rebuild against perl-5.8.7
* Fri Oct 14 2005 Christian Wasem <wasem@ccux-linux.de> 0.16-1
- Initial Release
